org.apache.torque.generator.source

## Class SourceElementAttributePointer

- java.lang.Object
- - org.apache.commons.jxpath.ri.model.NodePointer
  - - org.apache.torque.generator.source.SourceElementAttributePointer

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable, org.apache.commons.jxpath.Pointer

      public class SourceElementAttributePointer
      extends org.apache.commons.jxpath.ri.model.NodePointer

  A node pointer pointing to an attribute of a SourceElement.
  Version:
    $Id$
  Author:
    Dmitri Plotnikov, Thomas Fox
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.jxpath.ri.model.NodePointer

      `index, locale, parent, UNKNOWN_NAMESPACE, WHOLE_COLLECTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceElementAttributePointer(org.apache.commons.jxpath.ri.model.NodePointer parent, SourceElement sourceElement, String name)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `asPath()`
    `int` | `compareChildNodePointers(org.apache.commons.jxpath.ri.model.NodePointer pointer1, org.apache.commons.jxpath.ri.model.NodePointer pointer2)`
    `boolean` | `equals(Object object)`
    `Object` | `getBaseValue()`
    `Object` | `getImmediateNode()`
    `int` | `getLength()`
    `org.apache.commons.jxpath.ri.QName` | `getName()`
    `String` | `getNamespaceURI()`
    `Object` | `getValue()`
    `int` | `hashCode()`
    `boolean` | `isActual()`
    `boolean` | `isCollection()`
    `boolean` | `isLeaf()`
    `void` | `remove()` Removes the attribute pointed to.
    `void` | `setValue(Object value)` Sets the value of this attribute.
    `boolean` | `testNode(org.apache.commons.jxpath.ri.compiler.NodeTest nodeTest)`

    - ### Methods inherited from class org.apache.commons.jxpath.ri.model.NodePointer

      `attributeIterator, childIterator, clone, compareTo, createAttribute, createChild, createChild, createPath, createPath, escape, getAbstractFactory, getDefaultNamespaceURI, getImmediateParentPointer, getImmediateValuePointer, getIndex, getLocale, getNamespaceResolver, getNamespaceURI, getNode, getNodeSetByKey, getNodeValue, getParent, getPointerByID, getPointerByKey, getRootNode, getValuePointer, isAttribute, isContainer, isDefaultNamespace, isLanguage, isNode, isRoot, namespaceIterator, namespacePointer, newChildNodePointer, newNodePointer, printPointerChain, setAttribute, setIndex, setNamespaceResolver, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceElementAttributePointer

          public SourceElementAttributePointer(org.apache.commons.jxpath.ri.model.NodePointer parent,
                                               SourceElement sourceElement,
                                               String name)

      Constructor.
      Parameters:
        `parent` - the parent pointer.
        `sourceElement` - the SourceElement to which attribute is pointed.
        `name` - the name of the attribute pointed to.

  - ### Method Detail

    - #### getName

          public org.apache.commons.jxpath.ri.QName getName()

      Specified by:
        `getName` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### getNamespaceURI

          public String getNamespaceURI()

      Overrides:
        `getNamespaceURI` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in interface `org.apache.commons.jxpath.Pointer`
      Overrides:
        `getValue` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### getBaseValue

          public Object getBaseValue()

      Specified by:
        `getBaseValue` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### isCollection

          public boolean isCollection()

      Specified by:
        `isCollection` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### getLength

          public int getLength()

      Specified by:
        `getLength` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### getImmediateNode

          public Object getImmediateNode()

      Specified by:
        `getImmediateNode` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### isActual

          public boolean isActual()

      Overrides:
        `isActual` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### isLeaf

          public boolean isLeaf()

      Specified by:
        `isLeaf` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### testNode

          public boolean testNode(org.apache.commons.jxpath.ri.compiler.NodeTest nodeTest)

      Overrides:
        `testNode` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### setValue

          public void setValue(Object value)

      Sets the value of this attribute.
      Specified by:
        `setValue` in interface `org.apache.commons.jxpath.Pointer`
      Specified by:
        `setValue` in class `org.apache.commons.jxpath.ri.model.NodePointer`
      Parameters:
        `value` - to set

    - #### remove

          public void remove()

      Removes the attribute pointed to.
      Overrides:
        `remove` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### asPath

          public String asPath()

      Specified by:
        `asPath` in interface `org.apache.commons.jxpath.Pointer`
      Overrides:
        `asPath` in class `org.apache.commons.jxpath.ri.model.NodePointer`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### compareChildNodePointers

          public int compareChildNodePointers(org.apache.commons.jxpath.ri.model.NodePointer pointer1,
                                              org.apache.commons.jxpath.ri.model.NodePointer pointer2)

      Specified by:
        `compareChildNodePointers` in class `org.apache.commons.jxpath.ri.model.NodePointer`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.